namespace _2024._09._05
{
    public partial class Form1 : Form
    {
        List<Dolgozok> dataList = new List<Dolgozok>();
        public Form1()
        {
            InitializeComponent();

            //2. feladat
            StreamReader sr = new StreamReader("berek2020.txt");
            string[] line = sr.ReadLine().Split(";");

            while (!sr.EndOfStream)
            {
                line = sr.ReadLine().Split(";");
                Dolgozok dolgozok = new Dolgozok(line[0], line[1], line[2], Convert.ToInt32(line[3]), Convert.ToInt32(line[4]));
                dataList.Add(dolgozok);
            }

            sr.Close();

            foreach (var worker in dataList)
            {
                WorkersListBox.Items.Add($"{worker.Nev}\t{worker.Nem}\t{worker.Reszleg}\t{worker.Belepes}\t{worker.Ber}");
            }


            //3. feladat
            WorkersLabel.Text += $" {dataList.Count} fő";


            //4. feladat
            double wage = 0;

            foreach (var worker in dataList)
            {
                wage += worker.Ber;
            }

            AverageWageLabel.Text += $"{Math.Round(wage / dataList.Count / 1000, 1)} eFt";


            //7. feladat
            Dictionary<string, int> statisztika = new Dictionary<string, int>();
            foreach (var worker in dataList)
            {
                if (statisztika.ContainsKey(worker.Reszleg))
                {
                    statisztika[worker.Reszleg]++;
                }
                
                else
                {
                    statisztika[worker.Reszleg] = 1;
                }
            }

            foreach (var reszleg in statisztika)
            {
                StatisticsListBox.Items.Add($"{reszleg.Key} - {reszleg.Value} fő");
            }
        }

        private void HighestWageButton_Click(object sender, EventArgs e)
        {
            //6. feladat
            int highestWage = 0;
            foreach (var worker in dataList)
            {
                if (worker.Reszleg.Equals(SectionTextBox.Text))
                {
                    if (worker.Ber > highestWage)
                    {
                        highestWage = worker.Ber;
                    }
                }
            }

            if (highestWage > 0)
            {
                foreach (var worker in dataList)
                {
                    if (worker.Ber == highestWage)
                    {
                        SixthTaskLabel.Text = $"6. Feladat: A legtöbbet kereső dolgozó a részlegen\n" +
                            $"Név: {worker.Nev}\n" +
                            $"Nem: {worker.Nem}\n" +
                            $"Belépés: {worker.Belepes}\n" +
                            $"Bér: {worker.Ber} Forint";
                    }
                }
            }

            else
            {
                SixthTaskLabel.Text = $"6. Feladat: A megadott részleg nem létezik a cégnél!";
            }
        }
    }
}